Create a link for a document
curl --request POST \
--url https://api.reqlick.com/links/document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentId": "<string>",
"workspace": "<string>",
"domain": "<string>",
"key": "<string>"
}
'import requests
url = "https://api.reqlick.com/links/document"
payload = {
"documentId": "<string>",
"workspace": "<string>",
"domain": "<string>",
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentId: '<string>',
workspace: '<string>',
domain: '<string>',
key: '<string>'
})
};
fetch('https://api.reqlick.com/links/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"key": "<string>",
"url": "<string>",
"title": "<string>",
"description": "<string>",
"image": "<string>",
"isActive": true,
"isArchived": true,
"isQR": true,
"isFile": true,
"expiresAt": "2023-11-07T05:31:56Z",
"ios": "<string>",
"android": "<string>",
"workspaceId": "<string>",
"documentId": "<string>",
"clicks": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "This API key does not have access to this workspace"
}Links
Create a new document link
Create a new link for a document for the authenticated workspace.
POST
/
links
/
document
Create a link for a document
Authorizations
Workspace API key, prefixed rqk_.
Body
application/json
Response
Created
Example:
"rqk.sh"
Short key. Combined with domain this forms the short URL.
Destination URL. Null for file links.
iOS-specific destination.
Android-specific destination.
⌘I